Bug 127474 - starting a new game, hint is still displayed, on new board
Summary: starting a new game, hint is still displayed, on new board
Status: RESOLVED FIXED
Alias: None
Product: kshisen
Classification: Applications
Component: general (show other bugs)
Version: 1.5.1
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Dave Corrie
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-05-16 22:20 UTC by Olivier Trichet
Modified: 2006-08-30 23:03 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
patch againg version from kde 3.5.2 (2.12 KB, patch)
2006-05-16 22:23 UTC, Olivier Trichet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Trichet 2006-05-16 22:20:27 UTC
Version:           1.5.1 (using KDE 3.5.2, Debian Package 4:3.5.2-2+b1 (testing/unstable))

[imported from Debian bug tracking system : http://bugs.debian.org/302163 ]

When you ask for a hint to display all tiles of a given type (right click on one of them), and start a new game, this hint is displayed on the board of the new game...
Doing the same and then undoing the last action (ctrl-Z) or restarting the game (f5) leads to the hint being displayed forever.
Comment 1 Olivier Trichet 2006-05-16 22:23:21 UTC
Created attachment 16129 [details]
patch againg version from kde 3.5.2

this patch clear the tiles's highlighting when creating a new game, undoing or
redoing an action.
Comment 2 Dave Corrie 2006-05-21 20:34:41 UTC
Many thanks for the very nice patch.

The KDE 3.5 branch is currently frozen for the 3.5.3 release. I will commit this once the freeze has been lifted. KDE 3.5.4 is currently scheduled for the end of July.
Comment 3 Dave Corrie 2006-06-11 20:16:15 UTC
I've committed the patch to the KDE 3.5 branch, meaning that KDE 3.5.4 will include this fix. I'm leaving this bug open until the KDE 4 branch is also fixed.
Comment 4 Fathi Boudra 2006-08-23 11:30:38 UTC
*** Bug has been marked as fixed ***.
Comment 5 Dave Corrie 2006-08-30 23:03:10 UTC
I have now committed the fix to trunk (KDE4). The bug's status of "fixed" is no longer a lie!